MCP Gateway
ApiObservability settings

Get observability settings

Returns current observability config with secrets masked.

GET
/api/v1/settings/observability

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/settings/observability"
{
  "provider": "string",
  "otlp_endpoint": "string",
  "otlp_protocol": "grpc",
  "otlp_auth_header_name": "string",
  "has_auth_value": false,
  "has_provider_secrets": false,
  "provider_config": {},
  "export_traces": true,
  "export_metrics": true,
  "export_logs": true,
  "trace_sample_rate": 1,
  "prometheus_enabled": true,
  "service_name": "mcpgateway",
  "excluded_endpoints": "/health,/ready,/api/v1/metrics,/docs,/openapi.json,/redoc",
  "is_connected": false,
  "last_tested_at": "2019-08-24T14:15:22Z",
  "settings_version": 1
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}